# Culture

Struct in [Yarn.Unity](/3.1/api/csharp/yarn.unity.md)

Inherits from `System.ValueType`

## Summary

Holds information about a language.

```csharp
public struct Culture
```

## Constructors

| Name                                                                                                                   | Description |
| ---------------------------------------------------------------------------------------------------------------------- | ----------- |
| [Culture(System.Globalization.CultureInfo)](/3.1/api/csharp/yarn.unity/yarn.unity.culture/yarn.unity.culture..ctor.md) |             |

## Fields

| Name                                                                                                     | Description                                                                                                                                                                      |
| -------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DisplayName](/3.1/api/csharp/yarn.unity/yarn.unity.culture/yarn.unity.culture.displayname.md)           | The display name of a language. Will be "German (Switzerland)" for "de-CH". Use this value to present the language in an English UI.                                             |
| [IsNeutralCulture](/3.1/api/csharp/yarn.unity/yarn.unity.culture/yarn.unity.culture.isneutralculture.md) |                                                                                                                                                                                  |
| [Name](/3.1/api/csharp/yarn.unity/yarn.unity.culture/yarn.unity.culture.name.md)                         | The unique language ID used to identify a language as RFC 4646. Will be "de-CH" for "German (Switzerland)". Use this for storing settings or identifying a language.             |
| [NativeName](/3.1/api/csharp/yarn.unity/yarn.unity.culture/yarn.unity.culture.nativename.md)             | The languages name as called in the language itself. Will be "Deutsch (Schweiz)" for "de-CH". Use this to present the language in-game so people can find their native language. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn.unity/yarn.unity.culture.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
